<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
    'slider_section',
    array(
        'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
        'priority' =>18
    )
);
$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'slider_section_lbl',
        array(
            'settings'      => 'slider_section_lbl',
            'section'       => 'slider_section',
            'label'         => __( 'Note:', 'Luzuk' ),  
            'description'   => __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 1500X900', 'Luzuk' ),
        )
    )
);

lzCustomLable($wp_customize, 'slider_starset', 'slider_section', 'Client Image Or Star Display Setting');

$wp_customize->add_setting( 'slstar_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'slstar_button_display', array( 'label' => 'Post Date Display', 'section' => 'slider_section', 'settings' => 'slstar_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


// 1st

lzCustomLable($wp_customize, 'luzuk_slide1img', 'slider_section', '1st Image'); 

$wp_customize->add_setting(
    'sl_img1',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'sl_img1',
        array(
            'section' => 'slider_section',
            'settings' => 'sl_img1',
            'description' => __('Recommended Image Size: 60X60', 'luzuk-premium')
        )
    )
);

// 2nd

lzCustomLable($wp_customize, 'luzuk_slide2img', 'slider_section', '2nd Image'); 
$wp_customize->add_setting(
    'sl_img2',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'sl_img2',
        array(
            'section' => 'slider_section',
            'settings' => 'sl_img2',
            'description' => __('Recommended Image Size: 60X60', 'luzuk-premium')
        )
    )
);

// 3rd

lzCustomLable($wp_customize, 'luzuk_slide3img', 'slider_section', '3rd Image'); 
$wp_customize->add_setting(
    'sl_img3',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'sl_img3',
        array(
            'section' => 'slider_section',
            'settings' => 'sl_img3',
            'description' => __('Recommended Image Size: 60X60', 'luzuk-premium')
        )
    )
);


// 4th

lzCustomLable($wp_customize, 'luzuk_slide4img', 'slider_section', '4th Image'); 
$wp_customize->add_setting(
    'sl_img4',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'sl_img4',
        array(
            'section' => 'slider_section',
            'settings' => 'sl_img4',
            'description' => __('Recommended Image Size: 60X60', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'luzuk_slide5img', 'slider_section', '5th Image'); 
$wp_customize->add_setting(
    'sl_img5',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'sl_img5',
        array(
            'section' => 'slider_section',
            'settings' => 'sl_img5',
            'description' => __('Recommended Image Size: 60X60', 'luzuk-premium')
        )
    )
);


// *****Star*******
// Heading (optional visual heading above the star rating control)
$wp_customize->add_setting('slider_star_heading', array(
    'sanitize_callback' => 'luzuk_sanitize_text',
));

$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'slider_star_heading',
        array(
            'settings' => 'slider_star_heading',
            'section'  => 'slider_section', // This section must exist
            'label'    => __('Star Rating', 'luzuk-premium'),
        )
    )
);

$wp_customize->add_setting('default_star_rating', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => '5'
));
$wp_customize->add_control('default_star_rating', array(
    'label' => __('Select Default Rating (1 to 5)', 'yourtheme'),
    'section' => 'slider_section',
    'type' => 'select',
    'choices' => array(
        '1' => '1 Star',
        '2' => '2 Stars',
        '3' => '3 Stars',
        '4' => '4 Stars',
        '5' => '5 Stars',
    ),
));


addColorPalatOption($wp_customize, 'slider_strClr', 'slider_section', 'Star Color', '#fff');

addColorPalatOption($wp_customize, 'slider_stractClr', 'slider_section', 'Star Active Color', '#FFF27A');

lzCustomLable($wp_customize, 'sl_ingtxt', 'slider_section', 'Client Star Text ');

$wp_customize->add_setting(
    'cl_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '141+ happy clients', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'cl_txt',
    array(
        'settings'      => 'cl_txt',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'slider_cltxtClr', 'slider_section', 'Client Text Color', '#fff');


lzCustomLable($wp_customize, 'luzuk_slirover', 'slider_section', 'Section Overlay & Opacity');

$wp_customize->add_setting(
    'slider_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.4', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_areaOpacity',
    array(
        'settings'      => 'slider_areaOpacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'mslier_imgolyclr', 'slider_section', 'Overlay Color ', '#000');

lzCustomLable($wp_customize, 'luzuk_sliderclr', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_txtClr', 'slider_section', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_BtntxtClr', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_BtntxthvClr', 'slider_section', 'Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'slider_Btnbrdclr', 'slider_section', 'Button Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Btnbgclr', 'slider_section', 'Button BG Color', '#1F2130');

addColorPalatOption($wp_customize, 'slider_Btnbghvclr', 'slider_section', 'Button BG Hover Color', '#fff');


lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Dots Color ');


addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Slider Dots Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Slider Active Dot Color', '#7FDB54');
